Skip to content
On this page

Fetch Customers ​

Retrieve a list of customers from your store.

Endpoint ​

GET /api/customers/search

Query Parameters ​

NameTypeDescription
pageintPage number (optional)
limitintItems per page (optional)
searchstringSearch by name, email, etc.

Response ​

json
{
 
  "results": [
    {
      "_id": "string",
      "storeId": "string",
      "firstname": "string",
      "lastname": "string",
      "email": "string",
      "phone": "string",
      "isRegistred": true,
      "isSubscriber": false,
      "emailVerifiedAt": "2024-01-01T00:00:00.000Z",
      "note": "string",
      "status": "ACTIVE",
      "ipAddress": "string",
      "source": "string",
      "forAffiliate": false,
      "type": "particular",
      "cashback": 0,
      "totalSpent": 0,
      "address": {
        "firstname": "string",
        "lastname": "string",
        "company": "string",
        "address1": "string",
        "address2": "string",
        "city": { "_id": "string", "name": "string" },
        "province": { "_id": "string", "name": "string" },
        "country": { "_id": "string", "name": "string", "code": "string", "dialCode": "string" },
        "zip": "string",
        "location": {},
        "phone": "string",
        "default": false
      },
      "createdAt": "2024-01-01T00:00:00.000Z",
      "lastOrder": "2024-01-01T00:00:00.000Z",
      "toDayOrders": 1
    }
  ],
  "paginate": {
        "total": 2,
        "per_page": 20,
        "current_page": 1,
        "last_page": 1
    }
}

Released under the MIT License.